SQLR-LISTENER(8)

NAME
sqlr-listener - manual page for sqlr-listener 1.0.0

SYNOPSIS
sqlr-listener [OPTIONS]

DESCRIPTION
sqlr-listener is the SQL Relay listener daemon.

The sqlr-listener listens for connections from SQL Relay client applications. When a client connects, the sqlr-listener hands it off to an available connection daemon or queues it until a connection daemon is available.

The sqlr-listener is not intended to be run manually. Rather the sqlr-start process spawns it as-necessary.

OPTIONS

-config config
    Override the default configuration with the specified configuration.

-id instanceid
    Id of an instance, as defined in the configuration.

-localstatedir dir
    Override the default directory for keeping pid files, sockets, and other working or stateful files with the specified directory.

-disable-crash-handler
    Disable the built-in crash handler. Useful for debugging.

-backtrace dir
    Generate a backtrace in the specified directory on abnormal termination. Useful for debugging.

AUTHOR
Written by David Muse.

COPYRIGHT
Copyright © 1999-2016 David Muse
This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.